// serial.c and io.c modified for DP256 at 8 MHz
#define _SCI
#include <hcs12dp256.h>
#include <stdio.h>

/* This assumes a 8 MHz clock. If not, you'll need to change the
 * Baud rate enum.
 */
void setbaud(BaudRate baud)
	{
	SCI0BD = baud;
	/* enable transmitter and receiver */
	SCI0CR2 = 0x0C;
	}

int getchar(void)
	{
	while ((SCI0SR1 & RDRF) == 0)
		;
	return SC0DRL;
	}

int putchar(char c)
	{
	if (c == '\n')
		putchar('\r');
	while ((SCI0SR1 & TDRE) == 0)
		;
	SCI0DRL = c;
	return c;
	}
